Core APIReferenceVaults
/vaults/tvl-history
Get TVL history for all vaults for the given date range
Get TVL history for all vaults for the given date range
Query Parameters
startDate?|
Unix timestamp in seconds
endDate?|
Unix timestamp in seconds
Default
1787556963live?stringDeprecated
DEPRECATED: Use status instead. Legacy status filter. true returns active vaults; false returns non-active vaults. Ignored when status is provided.
Default
truestatus?string
Filter vaults by CMS status. Defaults to active. Use all to include every vault regardless of CMS status.
Value in
- "active"
- "disabled"
- "coming_soon"
- "hidden"
- "all"
Response Body
application/json
application/json
curl -X GET "https://example.com/vaults/tvl-history"{ "data": [ { "vaultAddress": "string", "history": [ { "day": 0, "tvl": 0 } ] } ]}